version: '3.6'
services:
  pricechecker:
    hostname: pricechecker
    image:  ${DOCKER_REGISTRY:-dockerregistry.artix.su:2443}/artix-pricechecker:${TAG:-latest}
    restart: always
    network_mode: host
    environment:
      - TZ=${SET_TIMEZONE:-UTC}
      - LANG=${LANG:-ru_RU.UTF-8}
      - LC_ALL=${LC_ALL:-ru_RU.UTF-8}
      - LOG_LEVEL=${LOG_LEVEL:-info}
      - LOG_FILE=${LOG_FILE:-main.log}
      - SERVER_PORT=${SERVER_PORT:-8085}
      - SSL_SERVER_PORT=${SSL_SERVER_PORT:-8443}
      - PC_LOG_LEVEL=${PC_LOG_LEVEL:-INFO}
    volumes:
      - ./data:/usr/local/tomcat/data
      - ./logs:/usr/local/tomcat/logs
      - ./static:/usr/local/tomcat/static
      - /var/run/docker.sock:/var/run/docker.sock
      - ./ssl:/usr/local/ssl
      - ./twa/keystore:/usr/local/twa/keystore
      - ./twa/infospace:/usr/local/twa/infospace
      - ./twa/twa:/usr/local/tomcat/webapps/static/twa